List Users

View as Markdown

List of users should be returned from this API in a deterministic order. Deterministic order is desired if we decide to use pagination. Anticipated load – Moveworks will call this endpoint to ingest users, polling would be as frequent as every 4 hours, could be even more aggressive in extenuating circumstances and it could be as seldom as 2 weeks. We recommend a rate limit of 10 req/sec for this endpoint.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageTokenstringOptional
Used to paginate query results, determining starting point for the next page of records retrieval. When a query operation returns a large number of results surpassing the specified page size, the gateway is expected to restrict the response size to the provided page size. It should automatically include a "next_page_token" field in the response. To obtain the subsequent page of results, the client will employ the "pageToken" and set it to the value of the "next_page_token" in the following request. This approach facilitates the efficient retrieval of large result sets through multiple paginated requests. Since this parameter value becomes available starting from the second call, it will be omitted during the initial call to retrieve records. When combining the filter parameter with the pageToken parameter, servers must ensure that the client uses the appropriate pageToken value for the specified filter string. Failure to do so should result in the server throwing an "INPUT_VALIDATION_FAILED".
pageSizelongOptional

Maximum number of users to return in a single query. Defaults to 1000.

Note: Server is free to return less number of users.

filterstringOptional
Defines a filter expression that narrows down the returned set of items. It allows you to specify criteria, such as numeric comparisons or string matching, to filter the items based on the values of their properties. The filter parameter must include at least one valid Boolean expression. Each expression should consist of an attribute name, followed by an attribute operator and a value. You have the flexibility to combine multiple expressions using logical operators, and you can also group expressions together using parentheses “()”. Here are the available attribute operators and their descriptions: - **`eq`** (equal): The attribute and operator values must be identical for a match. - **`ne`** (not equal): The attribute and operator values are not identical. - **`gt`** (greater than): If the attribute value is greater than the operator value, there is a match. The actual comparison depends on the attribute type. - **`lt`** (less than): If the attribute value is less than the operator value, there is a match. The actual comparison depends on the attribute type. The boolean operators available for combining expressions are: - **`and`** (Logical AND): The filter is considered a match only if both expressions evaluate to true. - **`or`** (Logical OR): The filter is considered a match if either of the expressions evaluates to true. Parentheses **`()`** can be used to group boolean expressions and alter the standard order of operations. By grouping expressions with parentheses, you can control how the logical OR operation is evaluated and prioritize certain conditions over others. This allows for more flexibility and precision in constructing complex boolean expressions. Attribute names and attribute operators used in filters are case insensitive. For example, the following two expressions will evaluate to the same logical value: filter=user.state Eq "ACTIVE" filter=user.STate eq "ACTIVE" The evaluation of filters follows a standard order of operations. Attribute operators take precedence over other operators, followed by the grouping operator (parentheses), then the logical AND operator, and finally the logical OR operator. If the requested filter operation is not recognised, providers must refuse to filter the results and return an HTTP 400 error with an appropriate human readable response. **Here are some examples of filter expressions:** In the provided examples, we have utilised the suggested response structure as defined in the response section. However, it's important to note that these expressions may differ if you opt for an alternative response format or structure. - filter=last_modified_at gt "2011-05-13T04:42:34Z" - filter=user.state ne “INACTIVE” and last_modified_at gt "2011-05-13T04:42:34Z"

Response headers

X-RateLimit-Limitinteger
The maximum number of requests you're permitted to make per minute.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-RateLimit-Resetstring or null
The remaining window before the rate limit FULLY resets in UTC epoch seconds.

Response

List of users
resultslist of objects
next_page_tokenstring or null
The value provided serves as the starting point for fetching the next page of records. In the next call, use this value as the pageToken parameter.